{{- if eq .Values.CLAMAV_ENABLED "yes" }}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  labels:
    io.kompose.service: nextcloud-aio-clamav
  name: nextcloud-aio-clamav
  namespace: "{{ .Values.NAMESPACE }}"
spec:
  {{- if .Values.STORAGE_CLASS }}
  storageClassName: {{ .Values.STORAGE_CLASS }}
  {{- end }}
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: {{ .Values.CLAMAV_STORAGE_SIZE }}
{{- end }}
